%define dist DBIx-ContextualFetch
Name: perl-%dist
Version: 1.03
Release: alt1

Summary: Add contextual fetches to DBI
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

# Automatically added by buildreq on Sun Aug 05 2007
BuildRequires: perl-DBD-SQLite perl-Test-Pod

%description
It always struck me odd that DBI didn't take much advantage of Perl's
context sensitivity. DBIx::ContextualFetch redefines some of the various
fetch methods to fix this oversight. It also adds a few new methods for
convenience (though not necessarily efficiency).

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%dir %perl_vendor_privlib/DBIx
%dir %perl_vendor_privlib/DBIx/ContextualFetch.pm

%changelog
* Sun Aug 05 2007 Alexey Tourbin <at@altlinux.ru> 1.03-alt1
- 1.02 -> 1.03

* Thu Jul 14 2005 Alexey Tourbin <at@altlinux.ru> 1.02-alt1
- initial revision
